import {WeaTools} from 'ecCom'

export const getStartNumForm = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getStartNumForm', 'GET', params);
}

export const getCodeSetting = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getCodeSetting', 'GET', params);
}

export const saveStartNum = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/saveStartNum', 'POST', params);
}

export const saveOrUpdateCodeSetting = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/saveOrUpdateCodeSetting', 'POST', params);
}

export const getSearchReservedCodeList = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getSearchReservedCodeList', 'POST', params);
}

export const getAdvanceSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getAdvanceSearchCondition', 'GET', params);
}

export const getReservedCodeFrom = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getReservedCodeFrom', 'GET', params);
}

export const saveReservedCode = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/saveReservedCode', 'POST', params);
}

export const deleteReservedCodeById = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/deleteReservedCodeById', 'POST', params);
}

export const getHasRight = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getHasRight', 'GET', params);
}

export const getCodeByType = (params) => {
    return WeaTools.callApi('/api/hrm/codeSetting/getCodeByType', 'GET', params);
}